
Name:    websocketpp
Summary: C++ WebSocket Protocol Library
Version: 0.8.2
Release:    1%{?dist}

License: BSD
Url:     https://www.zaphoyd.com/websocketpp
Source0: https://github.com/zaphoyd/websocketpp/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1: websocketpp.pc
BuildArch: noarch

Patch1: websocketpp-0.7.0-cmake_noarch.patch

Patch2: websocketpp-0.8.1-cmake-configversion-compatibility-anynewerversion.patch

Patch3: websocketpp-0.7.0-disable-test_transport-test_transport_asio_timers.patch

Patch4: websocketpp-0.8.2-fix-cmake-find-boost.patch

Patch5: websocketpp-0.8.2-cpp20-fixes.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(openssl)
BuildRequires:  zlib-devel

%description
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.

%package devel
Summary:  C++ WebSocket Protocol Library
Requires: boost-devel
%description devel
WebSocket++ is an open source (BSD license) header only C++ library
that implements RFC6455 The WebSocket Protocol. It allows integrating
WebSocket client and server functionality into C++ programs. It uses
interchangeable network transport modules including one based on C++
iostreams and one based on Boost Asio.


%prep
%autosetup -p1


%build
%cmake -DBUILD_TESTS:BOOL=ON
%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_datadir}/pkgconfig
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pkgconfig/websocketpp.pc

rm -rfv %{buildroot}%{_includedir}/test_connection/


%check
%ctest


%files devel
%doc changelog.md readme.md roadmap.md
%license COPYING
%{_includedir}/websocketpp/
%dir %{_datadir}/cmake/
%{_datadir}/cmake/websocketpp/
%{_datadir}/pkgconfig/websocketpp.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-1
- initial build
